/*
Theme Name:   C-Phi Consult
Description:  Construction Kit Child Theme
Author:       C-Phi Dev
Template:     construction-kit
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  cphi-consult
*/
/* Custom Style */
body.ehf-header header#masthead{
	float: none;
}
h1, h2, h3, h4, h5, h6{
	color: var( --e-global-color-primary );
    font-family: var( --e-global-typography-primary-font-family ), Sans-serif;
    font-weight: var( --e-global-typography-primary-font-weight );
    line-height: var( --e-global-typography-primary-line-height );
}
p, li {
    /*color: var( --e-global-color-text ) !important;*/
    font-family: var( --e-global-typography-text-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-text-font-size ) !important;
    font-weight: var( --e-global-typography-text-font-weight ) !important;
    line-height: var( --e-global-typography-text-line-height ) !important;
}
p:last-child{ margin-bottom: 0; }
a, a:hover, a:focus, a:active {
    color: var( --e-global-color-accent );
}
a:focus {
   text-decoration: unset !important;
}
.scrollup:hover {
    background-color: var( --e-global-color-accent );;
    border-color: var( --e-global-color-accent );;
}
.crow{
	display: flex;
    align-items: stretch;
	column-gap: 15px;
}
.ccol{ flex: auto; }
.inquiry-form .wpcf7 input.wpcf7-submit{
	margin: 0 auto !important;
    display: block;
}
.eael-grid-post-holder-inner{ text-align: center; }
.eael-post-elements-readmore-btn{ display: inline-block; }
footer .hfe-nav-menu .sub-arrow{ display: none; }

/* CF7 Style */
.wpcf7 input.wpcf7-submit{ margin-bottom: 0 !important; }
.wpcf7-spinner{ 
	margin: 0 0 0 5px;
    vertical-align: middle;
}
.ccol p{ display: block !important; }

/* Homepage */
.project-section .infobox-content h3{ padding-bottom: 15px; }
.project-section .infobox-content .infobox-button{ margin-top: 20px; }

/* Projects Page */
.eael-grid-post-link{ pointer-events: none; }

/* Single Project Page */
.post-container{
	display: flex;
    margin-right: auto;
    margin-left: auto;
    position: relative;
	max-width: 1280px;
}
.post-container .hentry{ margin: 0; }
.post-container .crow{ 
	align-items: center;
	padding: 50px 0;
}
.post-container .crow .col2{ 
	flex: 0 0 49.4%; 
	padding: 15px;
}
.post-container .featured-thumb img{
    height: 485px;
	object-fit: cover;
}
.post-container .ctaxonomy-wrapper{
	display: block;
    margin: 0 0 20px;
}
.post-container .ctaxonomy-wrapper .ctaxonomy{
	display: inline-block;
    text-align: center;
    font-family: var(--e-global-typography-accent-font-family ), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size );
    font-weight: var(--e-global-typography-accent-font-weight );
    line-height: var(--e-global-typography-accent-line-height );
    color: var(--e-global-color-ddf6b82 );
    background-color: var(--e-global-color-accent );
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-color: var(--e-global-color-accent );
    border-radius: 3px 3px 3px 3px;
    padding: 12px 24px 12px 24px;
    margin: 0px 10px 10px 0px;
}

/* Services Page */
.service-ibox .infobox-icon img{
	display: block;
    min-height: 300px;
    object-fit: cover;
}


@media screen and (max-width:980px){
	.elementor-section.elementor-section-boxed > .elementor-container,.project-container { width: 90% !important; }
}
@media screen and (max-width:480px){
	.crow{ flex-direction: column; row-gap: 15px;}
	.consultation-form .wpcf7 input.wpcf7-submit{ margin: 0 auto !important; display: block; }
}
@media screen and (min-width: 981px) and (max-width: 1280px){
	.elementor-section.elementor-section-boxed > .elementor-container,.project-container { width: 90% !important; }
}